{{page-title (capitalize (t 'registration'))}}

<div class='container'>

  <div class='row'>
    <div class='col'>
      <h1 class='capitalize-first-letter'>{{t 'registration'}}</h1>
    </div>
  </div>

  <div class='row mt-3'>
    <div class='col'>
      <label for='input-spaces-domains'>{{capitalize
          (t 'spaces domains')
        }}</label>

      <Input
        @value={{@model.spacesDomains.value}}
        id='input-spaces-domains'
        class='form-control'
        disable={{this.isSaving}}
      />
      <div class='form-text'><MarkDown
          @value={{t 'allowed-spaces-domains-message'}}
        /></div>
    </div>
  </div>

  <div class='row mt-3'>
    <div class='col'>
      <label for='input-registration-url'>{{capitalize
          (t 'custom registration url')
        }}</label>

      <Input
        @value={{@model.registerURL.value}}
        id='input-registration-url'
        class='form-control'
        disable={{this.isSaving}}
      />
    </div>
  </div>

  <div class='row mt-3'>
    <div class='col'>
      <label for='input-email-domains'>{{capitalize
          (t 'allowed email domains')
        }}</label>

      <Input
        @value={{@model.registerEmailDomains.value}}
        id='input-email-domains'
        class='form-control'
        disable={{this.isSaving}}
      />
      <div class='form-text'><MarkDown
          @value={{t 'allowed-email-domains-message'}}
        /></div>
    </div>
  </div>

  <div class='row mt-3'>
    <div class='col'>
      <label for='new-users-can-join'>{{capitalize
          (t 'new user can join')
        }}</label>
      <div class='form-check form-switch'>
        <Input
          class='form-check-input'
          @type='checkbox'
          id='new-users-can-join'
          @checked={{@model.registerEnabled.value}}
        />
      </div>
    </div>
  </div>

  <div class='row mt-3'>
    <div class='col'>
      <label for='register-mandatory'>{{capitalize
          (t 'service available only for registered users')
        }}</label>
      <div class='form-check form-switch'>
        <Input
          class='form-check-input'
          @type='checkbox'
          id='register-mandatory'
          @checked={{@model.registerMandatory.value}}
        />
      </div>
    </div>
  </div>

  <div class='row mt-3'>
    <div class='col'>
      <button
        type='button'
        class='btn {{if this.isSavingError "btn-danger" "btn-primary"}} mt-3'
        {{action 'save'}}
        disabled={{this.isDisabled}}
      >
        {{#if this.isSaving}}
          <FaIcon @icon='spinner' @spin={{true}} />
        {{/if}}

        {{capitalize (t 'save')}}
      </button>
    </div>
  </div>
</div>